Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.sd
Interface SdPackage.Literals

Enclosing interface:
  SdPackage

    public static interface SdPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static org.eclipse.emf.ecore.EClass` | `SD_ABSTRACT_VARIABLE` The meta object literal for the '`Abstract Variable`' class.
`static org.eclipse.emf.ecore.EReference` | `SD_ABSTRACT_VARIABLE__PARENT` The meta object literal for the 'Parent' container reference feature.
`static org.eclipse.emf.ecore.EReference` | `SD_ABSTRACT_VARIABLE__TO_ELEMENT` The meta object literal for the 'To Element' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` | `SD_AUX_VARIABLE` The meta object literal for the '`Aux Variable`' class.
`static org.eclipse.emf.ecore.EClass` | `SD_CONNECTOR` The meta object literal for the '`Connector`' class.
`static org.eclipse.emf.ecore.EReference` | `SD_CONNECTOR__TO_ELEMENT` The meta object literal for the 'To Element' reference feature.
`static org.eclipse.emf.ecore.EClass` | `SD_EQUATION_VARIABLE` The meta object literal for the '`Equation Variable`' class.
`static org.eclipse.emf.ecore.EAttribute` | `SD_EQUATION_VARIABLE__EQUATION` The meta object literal for the 'Equation' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `SD_FLOW_VARIABLE` The meta object literal for the '`Flow Variable`' class.
`static org.eclipse.emf.ecore.EClass` | `SD_GENERATABLE` The meta object literal for the '`Generatable`' class.
`static org.eclipse.emf.ecore.EClass` | `SD_MODEL` The meta object literal for the '`Model`' class.
`static org.eclipse.emf.ecore.EReference` | `SD_MODEL__ABSTRACT_VARIABLES` The meta object literal for the 'Abstract Variables' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` | `SD_NAMED_ELEMENT` The meta object literal for the '`Named Element`' class.
`static org.eclipse.emf.ecore.EAttribute` | `SD_NAMED_ELEMENT__COMMENT` The meta object literal for the 'Comment' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `SD_NAMED_ELEMENT__NAME` The meta object literal for the 'Name' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `SD_STOCK_VARIABLE` The meta object literal for the '`Stock Variable`' class.
`static org.eclipse.emf.ecore.EAttribute` | `SD_STOCK_VARIABLE__INITIAL_VALUE` The meta object literal for the 'Initial Value' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `SD_STOCK_VARIABLE__INTEGRAL` The meta object literal for the 'Integral' attribute feature.

Field Detail

### SD_NAMED_ELEMENT

    static final org.eclipse.emf.ecore.EClass SD_NAMED_ELEMENT

  The meta object literal for the '`Named Element`' class.

  See Also:
    `SdNamedElementImpl`, `SdPackageImpl.getSdNamedElement()`

### SD_NAMED_ELEMENT__NAME

    static final org.eclipse.emf.ecore.EAttribute SD_NAMED_ELEMENT__NAME

  The meta object literal for the 'Name' attribute feature.

### SD_NAMED_ELEMENT__COMMENT

    static final org.eclipse.emf.ecore.EAttribute SD_NAMED_ELEMENT__COMMENT

  The meta object literal for the 'Comment' attribute feature.

### SD_ABSTRACT_VARIABLE

    static final org.eclipse.emf.ecore.EClass SD_ABSTRACT_VARIABLE

  The meta object literal for the '`Abstract Variable`' class.

  See Also:
    `SdAbstractVariableImpl`, `SdPackageImpl.getSdAbstractVariable()`

### SD_ABSTRACT_VARIABLE__TO_ELEMENT

    static final org.eclipse.emf.ecore.EReference SD_ABSTRACT_VARIABLE__TO_ELEMENT

  The meta object literal for the 'To Element' containment reference list feature.

### SD_ABSTRACT_VARIABLE__PARENT

    static final org.eclipse.emf.ecore.EReference SD_ABSTRACT_VARIABLE__PARENT

  The meta object literal for the 'Parent' container reference feature.

### SD_EQUATION_VARIABLE

    static final org.eclipse.emf.ecore.EClass SD_EQUATION_VARIABLE

  The meta object literal for the '`Equation Variable`' class.

  See Also:
    `SdEquationVariableImpl`, `SdPackageImpl.getSdEquationVariable()`

### SD_EQUATION_VARIABLE__EQUATION

    static final org.eclipse.emf.ecore.EAttribute SD_EQUATION_VARIABLE__EQUATION

  The meta object literal for the 'Equation' attribute feature.

### SD_MODEL

    static final org.eclipse.emf.ecore.EClass SD_MODEL

  The meta object literal for the '`Model`' class.

  See Also:
    `SdModelImpl`, `SdPackageImpl.getSdModel()`

### SD_MODEL__ABSTRACT_VARIABLES

    static final org.eclipse.emf.ecore.EReference SD_MODEL__ABSTRACT_VARIABLES

  The meta object literal for the 'Abstract Variables' containment reference list feature.

### SD_AUX_VARIABLE

    static final org.eclipse.emf.ecore.EClass SD_AUX_VARIABLE

  The meta object literal for the '`Aux Variable`' class.

  See Also:
    `SdAuxVariableImpl`, `SdPackageImpl.getSdAuxVariable()`

### SD_STOCK_VARIABLE

    static final org.eclipse.emf.ecore.EClass SD_STOCK_VARIABLE

  The meta object literal for the '`Stock Variable`' class.

  See Also:
    `SdStockVariableImpl`, `SdPackageImpl.getSdStockVariable()`

### SD_STOCK_VARIABLE__INTEGRAL

    static final org.eclipse.emf.ecore.EAttribute SD_STOCK_VARIABLE__INTEGRAL

  The meta object literal for the 'Integral' attribute feature.

### SD_STOCK_VARIABLE__INITIAL_VALUE

    static final org.eclipse.emf.ecore.EAttribute SD_STOCK_VARIABLE__INITIAL_VALUE

  The meta object literal for the 'Initial Value' attribute feature.

### SD_FLOW_VARIABLE

    static final org.eclipse.emf.ecore.EClass SD_FLOW_VARIABLE

  The meta object literal for the '`Flow Variable`' class.

  See Also:
    `SdFlowVariableImpl`, `SdPackageImpl.getSdFlowVariable()`

### SD_CONNECTOR

    static final org.eclipse.emf.ecore.EClass SD_CONNECTOR

  The meta object literal for the '`Connector`' class.

  See Also:
    `SdConnectorImpl`, `SdPackageImpl.getSdConnector()`

### SD_CONNECTOR__TO_ELEMENT

    static final org.eclipse.emf.ecore.EReference SD_CONNECTOR__TO_ELEMENT

  The meta object literal for the 'To Element' reference feature.

### SD_GENERATABLE

    static final org.eclipse.emf.ecore.EClass SD_GENERATABLE

  The meta object literal for the '`Generatable`' class.

  See Also:
    `SdGeneratableImpl`, `SdPackageImpl.getSdGeneratable()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD